## puppetdb 3.0.0

=== Makefile ===
prefix = /usr/local
datadir = $(prefix)/share
confdir = /etc
rubylibdir = $(shell ruby -rrbconfig -e "puts RbConfig::CONFIG['sitelibdir']")
rundir = /var/run
bindir = /usr/bin

install-puppetdb:
	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetdb"
	install -m 0644 puppetdb.jar "$(DESTDIR)$(datadir)/puppetdb"
	install -m 0774 ext/ezbake-functions.sh "$(DESTDIR)$(datadir)/puppetdb"
	install -m 0644 ext/ezbake.manifest "$(DESTDIR)$(datadir)/puppetdb"
	install -d -m 0755 "$(DESTDIR)$(confdir)/puppetlabs/puppetdb/conf.d"
	install -m 0644 ext/config/logback.xml "$(DESTDIR)$(confdir)/puppetlabs/puppetdb/logback.xml"
	install -m 0644 ext/config/bootstrap.cfg "$(DESTDIR)$(confdir)/puppetlabs/puppetdb/bootstrap.cfg"
	install -m 0644 ext/config/conf.d/jetty.ini "$(DESTDIR)$(confdir)/puppetlabs/puppetdb/conf.d/jetty.ini"
	install -m 0644 ext/config/conf.d/repl.ini "$(DESTDIR)$(confdir)/puppetlabs/puppetdb/conf.d/repl.ini"
	install -m 0644 ext/config/conf.d/database.ini "$(DESTDIR)$(confdir)/puppetlabs/puppetdb/conf.d/database.ini"
	install -m 0644 ext/config/conf.d/config.ini "$(DESTDIR)$(confdir)/puppetlabs/puppetdb/conf.d/config.ini"
	install -m 0644 ext/config/request-logging.xml "$(DESTDIR)$(confdir)/puppetlabs/puppetdb/request-logging.xml"
	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetdb/cli"
	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetdb/cli/apps"
	install -d -m 0755 "$(DESTDIR)$(bindir)"
	install -m 0755 "ext/bin/puppetdb" "$(DESTDIR)$(bindir)/puppetdb"
	install -m 0755 ext/cli/foreground "$(DESTDIR)$(datadir)/puppetdb/cli/apps/foreground"
	install -m 0755 ext/cli/ssl-setup "$(DESTDIR)$(datadir)/puppetdb/cli/apps/ssl-setup"
	install -m 0755 ext/cli/export "$(DESTDIR)$(datadir)/puppetdb/cli/apps/export"
	install -m 0755 ext/cli/config-migration "$(DESTDIR)$(datadir)/puppetdb/cli/apps/config-migration"
	install -m 0755 ext/cli/foreground "$(DESTDIR)$(datadir)/puppetdb/cli/apps/foreground"
	install -m 0755 ext/cli/anonymize "$(DESTDIR)$(datadir)/puppetdb/cli/apps/anonymize"
	install -m 0755 ext/cli/import "$(DESTDIR)$(datadir)/puppetdb/cli/apps/import"
	install -d -m 0755 "$(DESTDIR)$(rundir)"


install-puppetdb-termini:
	install -Dm 0644 puppet/indirector/node/puppetdb.rb "$(DESTDIR)$(rubylibdir)/puppet/indirector/node/puppetdb.rb"
	install -Dm 0644 puppet/indirector/facts/puppetdb_apply.rb "$(DESTDIR)$(rubylibdir)/puppet/indirector/facts/puppetdb_apply.rb"
	install -Dm 0644 puppet/indirector/facts/puppetdb.rb "$(DESTDIR)$(rubylibdir)/puppet/indirector/facts/puppetdb.rb"
	install -Dm 0644 puppet/indirector/catalog/puppetdb.rb "$(DESTDIR)$(rubylibdir)/puppet/indirector/catalog/puppetdb.rb"
	install -Dm 0644 puppet/indirector/resource/puppetdb.rb "$(DESTDIR)$(rubylibdir)/puppet/indirector/resource/puppetdb.rb"
	install -Dm 0644 puppet/util/puppetdb/command.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/command.rb"
	install -Dm 0644 puppet/util/puppetdb/command_names.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/command_names.rb"
	install -Dm 0644 puppet/util/puppetdb/config.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/config.rb"
	install -Dm 0644 puppet/util/puppetdb/blacklist.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/blacklist.rb"
	install -Dm 0644 puppet/util/puppetdb/http.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/http.rb"
	install -Dm 0644 puppet/util/puppetdb/char_encoding.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/char_encoding.rb"
	install -Dm 0644 puppet/util/puppetdb.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb.rb"
	install -Dm 0644 puppet/application/storeconfigs.rb "$(DESTDIR)$(rubylibdir)/puppet/application/storeconfigs.rb"
	install -Dm 0644 puppet/reports/puppetdb.rb "$(DESTDIR)$(rubylibdir)/puppet/reports/puppetdb.rb"
	install -Dm 0644 puppet/face/node/deactivate.rb "$(DESTDIR)$(rubylibdir)/puppet/face/node/deactivate.rb"
	install -Dm 0644 puppet/face/node/status.rb "$(DESTDIR)$(rubylibdir)/puppet/face/node/status.rb"
	install -Dm 0644 puppet/face/storeconfigs.rb "$(DESTDIR)$(rubylibdir)/puppet/face/storeconfigs.rb"

install-rpm-sysv-init: install-rpm-preinst
	install -d -m 0755 "$(DESTDIR)$(initdir)"
	install -m 0755 ext/redhat/init "$(DESTDIR)$(initdir)/puppetdb"
	install -d -m 0755 "$(DESTDIR)$(defaultsdir)"
	install -m 0644 ext/default "$(DESTDIR)$(defaultsdir)/puppetdb"
	install -d -m 0755 "$(DESTDIR)$(rundir)"

install-rpm-systemd: install-rpm-preinst
	install -d -m 0755 "$(DESTDIR)$(defaultsdir)"
	install -m 0644 ext/default "$(DESTDIR)$(defaultsdir)/puppetdb"
	install -d -m 0755 "$(DESTDIR)$(unitdir)"
	install -m 0755 ext/puppetdb.service "$(DESTDIR)$(unitdir)/puppetdb.service"

install-rpm-preinst:
	if [ $1 -eq 2 ] ; then tar -czf /tmp/puppetdb-upgrade-config-files.tgz -C /etc/puppetdb/conf.d config.ini database.ini jetty.ini ; fi

install-deb-sysv-init: install-deb-preinst
	install -d -m 0755 "$(DESTDIR)$(initdir)"
	install -m 0755 ext/debian/puppetdb.init "$(DESTDIR)$(initdir)/puppetdb"
	install -d -m 0755 "$(DESTDIR)$(defaultsdir)"
	install -m 0644 ext/default "$(DESTDIR)$(defaultsdir)/puppetdb"
	install -d -m 0755 "$(DESTDIR)$(rundir)"

install-deb-preinst:
	if [ $1 = 'upgrade' ] && [ ${2%%.*} -le 2 ] ; then tar -czf /tmp/puppetdb-upgrade-config-files.tgz -C /etc/puppetdb/conf.d config.ini database.ini jetty.ini ; fi

## puppetdb 0.9.0

=== debian/control ===
Source: puppetdb
Section: utils
Priority: optional
Maintainer: Puppet Labs <info@puppetlabs.com>
Build-Depends: debhelper (>= 7.0.0~), cdbs, rake, facter, puppet
Standards-Version: 3.9.1
Homepage: http://puppetlabs.com

Package: puppetdb
Architecture: all
Depends: ${misc:Depends},  java6-runtime-headless, adduser, puppet (>= 2.7.12)
Suggests: postgresql
Description:PuppetDB Centralized Storage.

Package: puppetdb-terminus
Architecture: all
Depends:  ${misc:Depends}, puppet-common
Description:Connect Puppet to PuppetDB by setting up a terminus for PuppetDB.

## puppetdb 0.9.1

=== debian/changelog ===
puppetdb (0.9.1-1puppetlabs1) hardy lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Thu, 14 Jun 2012 21:19:13 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_OPTIONS

BUILD_ROOT=$(CURDIR)/debian/tmp

%:
	dh $@

install::
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	echo $(CURDIR)
	echo $(BUILD_ROOT)
	mkdir -p $(BUILD_ROOT)
	rake install DESTDIR=$(BUILD_ROOT)
	rake terminus DESTDIR=$(BUILD_ROOT)
	dh_installdocs -p puppetdb spec

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install -i
	dh_installdocs -i
	dh_installlogcheck
	dh_installman
	dh_installinit -ppuppetdb
	dh_installlogrotate -i -ppuppetdb
	dh_compress -i
	dh_fixperms -i -X puppetdb-ssl-setup -X etc
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

clean::
	dh_clean
	rm -rf debian/patches
	rm -rf .pc

## puppetdb 0.10.0

=== debian/changelog ===
puppetdb (0.10.0-1puppetlabs1) hardy lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Thu, 09 Aug 2012 02:01:12 -0700

## puppetdb 1.0.0

=== debian/changelog ===
puppetdb (1.0.0-1puppetlabs1) hardy lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Thu, 20 Sep 2012 15:42:20 -0700

## puppetdb 1.0.2

=== debian/changelog ===
puppetdb (1.0.2-1puppetlabs1) hardy lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Wed, 24 Oct 2012 14:24:46 -0700

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	dh_installinit -ppuppetdb
 	dh_installlogrotate -i -ppuppetdb
 	dh_compress -i
-	dh_fixperms -i -X puppetdb-ssl-setup -X etc
+	dh_fixperms -i -X puppetdb-ssl-setup -X puppetdb-foreground -X etc
 	dh_installdeb -i
 	dh_shlibdeps -i
 	dh_gencontrol -i

## puppetdb 1.0.4

=== debian/changelog ===
puppetdb (1.0.4-1puppetlabs1) hardy lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Tue, 27 Nov 2012 00:51:21 +0000

## puppetdb 1.1.0

=== debian/changelog ===
puppetdb (1.1.0-1puppetlabs1) hardy lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Wed, 23 Jan 2013 00:40:23 +0000

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	mkdir -p $(BUILD_ROOT)
 	rake install DESTDIR=$(BUILD_ROOT)
 	rake terminus DESTDIR=$(BUILD_ROOT)
-	dh_installdocs -p puppetdb spec
+	dh_installdocs -p puppetdb documentation
 
 binary-indep: build install
 	dh_testdir

## puppetdb 1.2.0

=== debian/changelog ===
puppetdb (1.2.0-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Wed, 03 Apr 2013 17:56:22 +0000

## puppetdb 1.3.1

=== debian/changelog ===
puppetdb (1.3.1-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Wed, 22 May 2013 16:25:20 +0000

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,8 @@
 	echo $(CURDIR)
 	echo $(BUILD_ROOT)
 	mkdir -p $(BUILD_ROOT)
-	rake install DESTDIR=$(BUILD_ROOT)
-	rake terminus DESTDIR=$(BUILD_ROOT)
+	rake install PARAMS_FILE= DESTDIR=$(BUILD_ROOT)
+	rake terminus PARAMS_FILE= DESTDIR=$(BUILD_ROOT)
 	dh_installdocs -p puppetdb documentation
 
 binary-indep: build install
@@ -30,7 +30,7 @@
 	dh_installinit -ppuppetdb
 	dh_installlogrotate -i -ppuppetdb
 	dh_compress -i
-	dh_fixperms -i -X puppetdb-ssl-setup -X puppetdb-foreground -X etc
+	dh_fixperms -i -X puppetdb-ssl-setup -X puppetdb-foreground -X puppetdb-import -X puppetdb-export -X etc
 	dh_installdeb -i
 	dh_shlibdeps -i
 	dh_gencontrol -i

## puppetdb 1.5.2

=== debian/changelog ===
puppetdb (1.5.2-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Tue, 22 Oct 2013 20:49:13 +0000

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	dh_installinit -ppuppetdb
 	dh_installlogrotate -i -ppuppetdb
 	dh_compress -i
-	dh_fixperms -i -X puppetdb-ssl-setup -X puppetdb-foreground -X puppetdb-import -X puppetdb-export -X etc
+	dh_fixperms -i -X puppetdb-ssl-setup -X puppetdb-foreground -X puppetdb-import -X puppetdb-export -X puppetdb-anonymize -X etc
 	dh_installdeb -i
 	dh_shlibdeps -i
 	dh_gencontrol -i

## puppetdb 1.6.0

=== debian/changelog ===
puppetdb (1.6.0-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Wed, 29 Jan 2014 10:42:39 -0800

## puppetdb 1.6.2

=== debian/changelog ===
puppetdb (1.6.2-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Thu, 06 Feb 2014 10:05:49 -0800

## puppetdb 1.6.3

=== debian/changelog ===
puppetdb (1.6.3-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Wed, 26 Mar 2014 16:49:47 -0700

=== debian/control ===
Source: puppetdb
Section: utils
Priority: optional
Maintainer: Puppet Labs <info@puppetlabs.com>
Build-Depends: debhelper (>= 7.0.0~), cdbs, bc, mawk, lsb-release, rake, facter, puppet
Standards-Version: 3.9.1
Homepage: http://puppetlabs.com

Package: puppetdb
Architecture: all
Depends: ${misc:Depends},  java7-runtime-headless | j2re1.7 | java6-runtime-headless, adduser, puppet (>= 2.7.12)
Suggests: postgresql
Description:PuppetDB Centralized Storage.

Package: puppetdb-terminus
Architecture: all
Depends:  ${misc:Depends}, puppet-common
Description:Connect Puppet to PuppetDB by setting up a terminus for PuppetDB.

## puppetdb 2.0.0

=== debian/changelog ===
puppetdb (2.0.0-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Tue, 06 May 2014 17:16:18 +0000

## puppetdb 2.1.0

=== debian/changelog ===
puppetdb (2.1.0-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Mon, 07 Jul 2014 10:37:25 -0700

## puppetdb 2.2.0

=== debian/changelog ===
puppetdb (2.2.0-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Tue, 26 Aug 2014 14:02:43 -0700

## puppetdb 2.2.1

=== debian/changelog ===
puppetdb (2.2.1-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Tue, 14 Oct 2014 09:31:22 -0700

## puppetdb 2.2.2

=== debian/changelog ===
puppetdb (2.2.2-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Tue, 21 Oct 2014 11:36:49 -0700

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_OPTIONS
SHELL := /bin/bash
BUILD_ROOT=$(CURDIR)/debian/tmp
DIST := $(shell lsb_release -i | awk '{print tolower($$3)}')
RELEASE := $(shell lsb_release -r | awk '{print $$2}')
    
%:
	dh $@

install::
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	echo $(CURDIR)
	echo $(BUILD_ROOT)
	mkdir -p $(BUILD_ROOT)
	rake install PARAMS_FILE= DESTDIR=$(BUILD_ROOT) 
	rake terminus PARAMS_FILE= DESTDIR=$(BUILD_ROOT) 
	dh_installdocs -p puppetdb documentation

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install -i
	dh_installdocs -i
	dh_installlogcheck
	dh_installman
	if [[ ${DIST} == debian ]] ; then \
		if [[ $$(echo "${RELEASE}>=7" | bc -l) -eq 1 || ${RELEASE} == testing || ${RELEASE} == unstable ]] ; then \
			sed -i '/notifempty/a\    su puppetdb puppetdb' $(CURDIR)/debian/puppetdb.logrotate ; \
		fi ; \
	elif [[ ${DIST} == ubuntu ]] ; then \
		if [[ $$(echo "${RELEASE}>=13.04" | bc -l) -eq 1 ]] ; then \
			sed -i '/notifempty/a\    su puppetdb puppetdb' $(CURDIR)/debian/puppetdb.logrotate ; \
		fi ; \
	fi
	dh_installinit -ppuppetdb
	dh_installlogrotate -i -ppuppetdb
	dh_compress -i
	dh_fixperms -i -X puppetdb-ssl-setup -X puppetdb-foreground -X puppetdb-import -X puppetdb-export -X puppetdb-anonymize -X puppetdb -X etc
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

clean::
	dh_clean
	rm -rf debian/patches
	rm -rf .pc

## puppetdb 2.3.0

=== debian/changelog ===
puppetdb (2.3.0-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Thu, 19 Mar 2015 09:54:29 -0700

=== debian/control ===
Source: puppetdb
Section: utils
Priority: optional
Maintainer: Puppet Labs <info@puppetlabs.com>
Build-Depends: debhelper (>= 7.0.0~), cdbs, bc, mawk, lsb-release, rake, facter (>= 1.7.0), puppet (>= 3.5.1)
Standards-Version: 3.9.1
Homepage: http://puppetlabs.com

Package: puppetdb
Architecture: all
Depends: ${misc:Depends},  java7-runtime-headless | j2re1.7, adduser, puppet (>= 3.5.1)
Suggests: postgresql
Description:PuppetDB Centralized Storage.

Package: puppetdb-terminus
Architecture: all
Depends:  ${misc:Depends}, puppet-common (>= 3.5.1), libjson-ruby | ruby-json
Description:Connect Puppet to PuppetDB by setting up a terminus for PuppetDB.

## puppetdb 2.3.1

=== debian/changelog ===
puppetdb (2.3.1-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Mon, 30 Mar 2015 16:04:55 -0700

## puppetdb 2.3.2

=== debian/changelog ===
puppetdb (2.3.2-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Wed, 01 Apr 2015 13:12:31 -0700

## puppetdb 2.3.3

=== debian/changelog ===
puppetdb (2.3.3-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Tue, 07 Apr 2015 10:58:03 -0700

## puppetdb 2.3.4

=== debian/changelog ===
puppetdb (2.3.4-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Thu, 07 May 2015 12:54:48 -0700

## puppetdb 2.3.5

=== debian/changelog ===
puppetdb (2.3.5-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Thu, 04 Jun 2015 11:14:29 -0700

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 
 Package: puppetdb
 Architecture: all
-Depends: ${misc:Depends},  java7-runtime-headless | j2re1.7, adduser, puppet (>= 3.5.1)
+Depends: ${misc:Depends},  java7-runtime-headless | j2re1.7, adduser, puppet (>= 3.5.1) | puppet-agent
 Suggests: postgresql
 Description:PuppetDB Centralized Storage.
 
 Package: puppetdb-terminus
 Architecture: all
-Depends:  ${misc:Depends}, puppet-common (>= 3.5.1), libjson-ruby | ruby-json
+Depends:  ${misc:Depends}, puppet-common (>= 3.5.1) | puppet-agent, libjson-ruby | ruby-json
 Description:Connect Puppet to PuppetDB by setting up a terminus for PuppetDB.

## puppetdb 2.3.6

=== debian/changelog ===
puppetdb (2.3.6-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Thu, 16 Jul 2015 11:08:01 -0700

## puppetdb 2.3.7

=== debian/changelog ===
puppetdb (2.3.7-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Wed, 12 Aug 2015 12:14:27 -0700

## puppetdb 2.3.8

=== debian/changelog ===
puppetdb (2.3.8-1puppetlabs1) hardy lucid maverick oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add postgresql to suggests
  * Adding an init script from Puppet Labs Ops
  * Update postinst stuff to be official debian-style

 -- Puppet Labs  <info@puppetlabs.com>  Tue, 13 Oct 2015 15:23:54 -0700

## puppetdb 3.0.0

=== debian/changelog ===
puppetdb (3.0.0-1puppetlabs1) precise; urgency=low

  * Update to version 3.0.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 09 Jul 2015 13:13:50 -0700

=== debian/control ===
Source: puppetdb
Section: utils
Priority: optional
Maintainer: Puppet Labs <info@puppetlabs.com>
Build-Depends: debhelper (>= 7.0.0~), cdbs, bc, mawk, lsb-release, ruby | ruby-interpreter
Standards-Version: 3.9.1
Homepage: http://puppetlabs.com

Package: puppetdb
Architecture: all
# net-tools is required for netstat usage in service unit file
# See: https://tickets.puppetlabs.com/browse/SERVER-338
Depends: ${misc:Depends}, java7-runtime-headless | java8-runtime-headless, net-tools, adduser, puppet (>= 3.8.1-1puppetlabs1)  | puppet-agent, puppet (<< 5.0.0-1puppetlabs1) | puppet-agent
Replaces: 
Conflicts: 
Description: Puppet Labs puppetdb
 Contains: Puppet-integrated catalog and fact storage (puppetdb 3.0.0)

Package: puppetdb-termini
Architecture: all
Depends: ${misc:Depends}, puppet-agent
Provides: puppetdb-terminus
Replaces: puppetdb-terminus
Conflicts: puppetdb-terminus
Description: Termini for puppetdb
 Contains terminus for:
  puppetdb (version 3.0.0)

## puppetdb 3.0.1

=== debian/changelog ===
puppetdb (3.0.1-1puppetlabs1) wheezy; urgency=low

  * Update to version 3.0.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 13 Jul 2015 17:12:23 -0700

## puppetdb 3.0.2

=== Makefile ===
--- 
+++ 
@@ -65,7 +65,7 @@
 	install -m 0755 ext/puppetdb.service "$(DESTDIR)$(unitdir)/puppetdb.service"
 
 install-rpm-preinst:
-	if [ $1 -eq 2 ] ; then tar -czf /tmp/puppetdb-upgrade-config-files.tgz -C /etc/puppetdb/conf.d config.ini database.ini jetty.ini ; fi
+	if rpm -q puppetdb | grep ^puppetdb-2.* > /dev/null && [ $1 -eq 2 ] ; then tar -czf /tmp/puppetdb-upgrade-config-files.tgz -C /etc/puppetdb/conf.d config.ini database.ini jetty.ini ; fi
 
 install-deb-sysv-init: install-deb-preinst
 	install -d -m 0755 "$(DESTDIR)$(initdir)"

=== debian/changelog ===
puppetdb (3.0.2-1puppetlabs1) trusty; urgency=low

  * Update to version 3.0.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Tue, 04 Aug 2015 13:46:56 -0700

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetdb
- Contains: Puppet-integrated catalog and fact storage (puppetdb 3.0.0)
+ Contains: Puppet-integrated catalog and fact storage (puppetdb 3.0.2)
 
 Package: puppetdb-termini
 Architecture: all
@@ -24,4 +24,4 @@
 Conflicts: puppetdb-terminus
 Description: Termini for puppetdb
  Contains terminus for:
-  puppetdb (version 3.0.0)
+  puppetdb (version 3.0.2)

## puppetdb 3.1.0

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetdb
- Contains: Puppet-integrated catalog and fact storage (puppetdb 3.0.2)
+ Contains: Puppet-integrated catalog and fact storage (puppetdb 3.1.0)
 
 Package: puppetdb-termini
 Architecture: all
@@ -24,4 +24,4 @@
 Conflicts: puppetdb-terminus
 Description: Termini for puppetdb
  Contains terminus for:
-  puppetdb (version 3.0.2)
+  puppetdb (version 3.1.0)

## puppetdb 3.2.0

=== debian/changelog ===
puppetdb (3.2.0-1puppetlabs1) precise; urgency=low

  * Update to version 3.2.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 29 Oct 2015 12:39:52 -0700

## puppetdb 3.2.2

=== debian/changelog ===
puppetdb (3.2.2-1puppetlabs1) precise; urgency=low

  * Update to version 3.2.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Tue, 01 Dec 2015 15:43:28 -0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetdb
- Contains: Puppet-integrated catalog and fact storage (puppetdb 3.1.0)
+ Contains: Puppet-integrated catalog and fact storage (puppetdb 3.2.2)
 
 Package: puppetdb-termini
 Architecture: all
@@ -24,4 +24,4 @@
 Conflicts: puppetdb-terminus
 Description: Termini for puppetdb
  Contains terminus for:
-  puppetdb (version 3.1.0)
+  puppetdb (version 3.2.2)

## puppetdb 3.2.3

=== debian/changelog ===
puppetdb (3.2.3-1puppetlabs1) trusty; urgency=low

  * Update to version 3.2.3-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 11 Jan 2016 11:18:21 -0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetdb
- Contains: Puppet-integrated catalog and fact storage (puppetdb 3.2.2)
+ Contains: Puppet-integrated catalog and fact storage (puppetdb 3.2.3)
 
 Package: puppetdb-termini
 Architecture: all
@@ -24,4 +24,4 @@
 Conflicts: puppetdb-terminus
 Description: Termini for puppetdb
  Contains terminus for:
-  puppetdb (version 3.2.2)
+  puppetdb (version 3.2.3)

## puppetdb 3.2.4

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,6 @@
 	install -Dm 0644 puppet/util/puppetdb/command.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/command.rb"
 	install -Dm 0644 puppet/util/puppetdb/command_names.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/command_names.rb"
 	install -Dm 0644 puppet/util/puppetdb/config.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/config.rb"
-	install -Dm 0644 puppet/util/puppetdb/blacklist.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/blacklist.rb"
 	install -Dm 0644 puppet/util/puppetdb/http.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/http.rb"
 	install -Dm 0644 puppet/util/puppetdb/char_encoding.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/char_encoding.rb"
 	install -Dm 0644 puppet/util/puppetdb.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb.rb"

=== debian/changelog ===
puppetdb (3.2.4-1puppetlabs1) wheezy; urgency=low

  * Update to version 3.2.4-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Wed, 24 Feb 2016 16:02:57 -0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetdb
- Contains: Puppet-integrated catalog and fact storage (puppetdb 3.2.3)
+ Contains: Puppet-integrated catalog and fact storage (puppetdb 3.2.4)
 
 Package: puppetdb-termini
 Architecture: all
@@ -24,4 +24,4 @@
 Conflicts: puppetdb-terminus
 Description: Termini for puppetdb
  Contains terminus for:
-  puppetdb (version 3.2.3)
+  puppetdb (version 3.2.4)

## puppetdb 4.0.0

=== debian/changelog ===
puppetdb (4.0.0-1puppetlabs1) precise; urgency=low

  * Update to version 4.0.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Wed, 16 Mar 2016 21:17:09 -0700

## puppetdb 4.0.2

=== debian/changelog ===
puppetdb (4.0.2-1puppetlabs1) precise; urgency=low

  * Update to version 4.0.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 28 Apr 2016 09:52:54 -0700

## puppetdb 4.1.0

=== debian/changelog ===
puppetdb (4.1.0-1puppetlabs1) xenial; urgency=low

  * Update to version 4.1.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 19 May 2016 06:22:27 -0700

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
 Architecture: all
 # net-tools is required for netstat usage in service unit file
 # See: https://tickets.puppetlabs.com/browse/SERVER-338
-Depends: ${misc:Depends}, java7-runtime-headless | java8-runtime-headless, net-tools, adduser, puppet (>= 3.8.1-1puppetlabs1)  | puppet-agent, puppet (<< 5.0.0-1puppetlabs1) | puppet-agent
+Depends: ${misc:Depends}, openjdk-7-jre-headless | openjdk-8-jre-headless, net-tools, adduser, puppet (>= 3.8.1-1puppetlabs1)  | puppet-agent, puppet (<< 5.0.0-1puppetlabs1) | puppet-agent
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetdb
- Contains: Puppet-integrated catalog and fact storage (puppetdb 3.2.4)
+ Contains: Puppet-integrated catalog and fact storage (puppetdb 4.1.0)
 
 Package: puppetdb-termini
 Architecture: all
@@ -24,4 +24,4 @@
 Conflicts: puppetdb-terminus
 Description: Termini for puppetdb
  Contains terminus for:
-  puppetdb (version 3.2.4)
+  puppetdb (version 4.1.0)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/cdbs/1/rules/debhelper.mk

SHELL := /bin/bash
BUILD_ROOT=$(CURDIR)/debian/$(cdbs_curpkg)
export rubylibdir=/opt/puppetlabs/puppet/lib/ruby/vendor_ruby
DIST := $(shell lsb_release -i | awk '{print tolower($$3)}')
RELEASE := $(shell lsb_release -r | awk '{print $$2}')
export DESTDIR=$(BUILD_ROOT)
export prefix=/opt/puppetlabs/server/apps/puppetdb
export bindir=/opt/puppetlabs/server/apps/puppetdb/bin
export confdir=/etc
export datadir=/opt/puppetlabs/server/data/puppetdb
export realname=puppetdb
export EZ_VERBOSE=1

install/puppetdb::
	bash install.sh install_deb
	if [[ ${DIST} == debian ]] ; then \
		if [[ $$(echo "${RELEASE}>=7" | bc -l) -eq 1 || ${RELEASE} == testing || ${RELEASE} == unstable ]] ; then \
			bash install.sh logrotate ; \
		else \
			bash install.sh logrotate_legacy ; \
		fi ; \
	elif [[ ${DIST} == ubuntu ]] ; then \
		if [[ $$(echo "${RELEASE}>=13.04" | bc -l) -eq 1 ]] ; then \
			bash install.sh logrotate ; \
		else \
			bash install.sh logrotate_legacy ; \
		fi ; \
	fi

install/puppetdb-termini::
	bash install.sh termini

## puppetdb 4.1.2

=== Makefile ===
--- 
+++ 
@@ -43,12 +43,12 @@
 	install -Dm 0644 puppet/util/puppetdb/config.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/config.rb"
 	install -Dm 0644 puppet/util/puppetdb/http.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/http.rb"
 	install -Dm 0644 puppet/util/puppetdb/char_encoding.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/char_encoding.rb"
+	install -Dm 0644 puppet/util/puppetdb/atom.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/atom.rb"
 	install -Dm 0644 puppet/util/puppetdb.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb.rb"
-	install -Dm 0644 puppet/application/storeconfigs.rb "$(DESTDIR)$(rubylibdir)/puppet/application/storeconfigs.rb"
 	install -Dm 0644 puppet/reports/puppetdb.rb "$(DESTDIR)$(rubylibdir)/puppet/reports/puppetdb.rb"
 	install -Dm 0644 puppet/face/node/deactivate.rb "$(DESTDIR)$(rubylibdir)/puppet/face/node/deactivate.rb"
 	install -Dm 0644 puppet/face/node/status.rb "$(DESTDIR)$(rubylibdir)/puppet/face/node/status.rb"
-	install -Dm 0644 puppet/face/storeconfigs.rb "$(DESTDIR)$(rubylibdir)/puppet/face/storeconfigs.rb"
+	install -Dm 0644 puppet/functions/puppetdb_query.rb "$(DESTDIR)$(rubylibdir)/puppet/functions/puppetdb_query.rb"
 
 install-rpm-sysv-init: install-rpm-preinst
 	install -d -m 0755 "$(DESTDIR)$(initdir)"

=== debian/changelog ===
puppetdb (4.1.2-1puppetlabs1) precise; urgency=low

  * Update to version 4.1.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Fri, 17 Jun 2016 10:39:30 -0700

## puppetdb 4.2.0

=== debian/changelog ===
puppetdb (4.2.0-1puppetlabs1) jessie; urgency=low

  * Update to version 4.2.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Fri, 05 Aug 2016 13:06:22 -0700

## puppetdb 4.2.1

=== debian/changelog ===
puppetdb (4.2.1-1puppetlabs1) precise; urgency=low

  * Update to version 4.2.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Tue, 16 Aug 2016 17:58:45 -0700

## puppetdb 4.2.2

=== debian/changelog ===
puppetdb (4.2.2-1puppetlabs1) xenial; urgency=low

  * Update to version 4.2.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Wed, 24 Aug 2016 13:14:23 -0700

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetdb
- Contains: Puppet-integrated catalog and fact storage (puppetdb 4.1.0)
+ Contains: Puppet-integrated catalog and fact storage (puppetdb 4.2.2)
 
 Package: puppetdb-termini
 Architecture: all
@@ -24,4 +24,4 @@
 Conflicts: puppetdb-terminus
 Description: Termini for puppetdb
  Contains terminus for:
-  puppetdb (version 4.1.0)
+  puppetdb (version 4.2.2)

## puppetdb 4.2.4

=== debian/changelog ===
puppetdb (4.2.4-1puppetlabs1) precise; urgency=low

  * Update to version 4.2.4-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Wed, 26 Oct 2016 14:01:00 -0700

## puppetdb 4.3.0

=== debian/changelog ===
puppetdb (4.3.0-1puppetlabs1) precise; urgency=low

  * Update to version 4.3.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 03 Nov 2016 13:58:13 -0700

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,12 @@
 Architecture: all
 # net-tools is required for netstat usage in service unit file
 # See: https://tickets.puppetlabs.com/browse/SERVER-338
-Depends: ${misc:Depends}, openjdk-7-jre-headless | openjdk-8-jre-headless, net-tools, adduser, puppet (>= 3.8.1-1puppetlabs1)  | puppet-agent, puppet (<< 5.0.0-1puppetlabs1) | puppet-agent
+# procps is required for pgrep, used in several of the init scripts
+Depends: ${misc:Depends}, openjdk-7-jre-headless | openjdk-8-jre-headless, net-tools, adduser, procps, puppet (>= 3.8.1-1puppetlabs1)  | puppet-agent, puppet (<< 5.0.0-1puppetlabs1) | puppet-agent
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetdb
- Contains: Puppet-integrated catalog and fact storage (puppetdb 4.2.2)
+ Contains: Puppet-integrated catalog and fact storage (puppetdb 4.3.0)
 
 Package: puppetdb-termini
 Architecture: all
@@ -24,4 +25,4 @@
 Conflicts: puppetdb-terminus
 Description: Termini for puppetdb
  Contains terminus for:
-  puppetdb (version 4.2.2)
+  puppetdb (version 4.3.0)

## puppetdb 4.3.2

=== i18n/Makefile ===
# -*- Makefile -*-
# This file was generated by the i18n leiningen plugin
# Do not edit this file; it will be overwritten the next time you run
#   lein i18n init
#

# The locale in which our messages are written, and for which we therefore
# have messages without any further effort
MESSAGE_LOCALE=en

# The name of the package into which the translations bundle will be placed
BUNDLE=puppetlabs.i18n
# The list of names of packages covered by the translation bundle;
# by default it contains a single package - the same where the translations
# bundle itself is placed - but this can be overridden - preferably in
# the top level Makefile
PACKAGES?=$(BUNDLE)
LOCALES=$(basename $(notdir $(wildcard locales/*.po)))
BUNDLE_DIR=$(subst .,/,$(BUNDLE))
BUNDLE_FILES=$(patsubst %,resources/$(BUNDLE_DIR)/Messages_%.class,$(MESSAGE_LOCALE) $(LOCALES))
FIND_SOURCES=find src -name \*.clj
# xgettext before 0.19 does not understand --add-location=file. Even CentOS
# 7 ships with an older gettext. We will therefore generate full location
# info on those systems, and only file names where xgettext supports it
LOC_OPT=$(shell xgettext --add-location=file -f - </dev/null >/dev/null 2>&1 && echo --add-location=file || echo --add-location)

LOCALES_CLJ=resources/locales.clj
define LOCALES_CLJ_CONTENTS
{
  :locales  #{$(patsubst %,"%",$(MESSAGE_LOCALE) $(LOCALES))}
  :packages [$(patsubst %,"%",$(PACKAGES))]
  :bundle   $(patsubst %,"%",$(BUNDLE).Messages)
}
endef
export LOCALES_CLJ_CONTENTS


i18n: update-pot msgfmt

# Update locales/messages.pot
update-pot: locales/messages.pot

locales/messages.pot: $(shell $(FIND_SOURCES)) | locales
	@tmp=$$(mktemp $@.tmp.XXXX);                                            \
	$(FIND_SOURCES)                                                         \
	    | xgettext --from-code=UTF-8 --language=lisp                        \
	               --copyright-holder='Puppet <docs@puppet.com>'            \
	               --package-name="$(BUNDLE)"                               \
	               --package-version="$(BUNDLE_VERSION)"                    \
	               --msgid-bugs-address="docs@puppet.com"                   \
	               -k                                                       \
	               -kmark:1 -ki18n/mark:1                                   \
	               -ktrs:1 -ki18n/trs:1                                     \
	               -ktru:1 -ki18n/tru:1                                     \
	               -ktrun:1,2 -ki18n/trun:1,2                               \
	               -ktrsn:1,2 -ki18n/trsn:1,2                               \
	               $(LOC_OPT)                                               \
	               --add-comments --sort-by-file                            \
	               -o $$tmp -f -;                                           \
	sed -i.bak -e 's/charset=CHARSET/charset=UTF-8/' $$tmp;                 \
	sed -i.bak -e 's/POT-Creation-Date: [^\\]*/POT-Creation-Date: /' $$tmp; \
	rm -f $$tmp.bak;                                                        \
	if ! diff -q -I POT-Creation-Date $$tmp $@ >/dev/null 2>&1; then        \
	    mv $$tmp $@;                                                        \
	else                                                                    \
	    rm $$tmp; touch $@;                                                 \
	fi

# Run msgfmt over all .po files to generate Java resource bundles
# and create the locales.clj file
msgfmt: $(BUNDLE_FILES) $(LOCALES_CLJ)

# force rebuild of locales.clj if its contents is not the
# the desired one
ifneq ($(shell cat $(LOCALES_CLJ) 2> /dev/null),$(shell echo '$(subst ','\'',$(LOCALES_CLJ_CONTENTS))'))
.PHONY: $(LOCALES_CLJ)
endif
$(LOCALES_CLJ): | resources
	@echo "Writing $@"
	@echo "$$LOCALES_CLJ_CONTENTS" > $@

resources/$(BUNDLE_DIR)/Messages_%.class: locales/%.po | resources
	msgfmt --java2 -d resources -r $(BUNDLE).Messages -l $(*F) $<

resources/$(BUNDLE_DIR)/Messages_$(MESSAGE_LOCALE).class: locales/messages.pot | resources
	msgfmt --java2 -d resources -r $(BUNDLE).Messages -l $(MESSAGE_LOCALE) $<

# Translators use this when they update translations; this copies any
# changes in the pot file into their language-specific po file
locales/%.po: locales/messages.pot
	@if [ -f $@ ]; then                                           \
	    msgmerge -U $@ $< && touch $@;                            \
	else                                                          \
	    touch $@ && msginit --no-translator -l $(*F) -o $@ -i $<; \
	fi

resources locales:
	@mkdir $@

help:
	$(info $(HELP))
	@echo

.PHONY: help

define HELP
This Makefile assists in handling i18n related tasks during development. Files
that need to be checked into source control are put into the locales/ directory.
They are

  locales/messages.pot   - the POT file generated by 'make update-pot'
  locales/$$LANG.po       - the translations for $$LANG

Only the $$LANG.po files should be edited manually; this is usually done by
translators.

You can use the following targets:

  i18n:             refresh all the files in locales/ and recompile resources
  update-pot:       extract strings and update locales/messages.pot
  locales/LANG.po:  refresh or create translations for LANG
  msgfmt:           compile the translations into Java classes; this step is
                    needed to make translations available to the Clojure code
                    and produces Java class files in resources/
endef
# @todo lutter 2015-04-20: for projects that use libraries with their own
# translation, we need to combine all their translations into one big po
# file and then run msgfmt over that so that we only have to deal with one
# resource bundle

=== debian/changelog ===
puppetdb (4.3.2-1puppetlabs1) precise; urgency=low

  * Update to version 4.3.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Wed, 08 Mar 2017 14:24:35 -0800

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Replaces: 
 Conflicts: 
 Description: Puppet Labs puppetdb
- Contains: Puppet-integrated catalog and fact storage (puppetdb 4.3.0)
+ Contains: Puppet-integrated catalog and fact storage (puppetdb 4.3.2)
 
 Package: puppetdb-termini
 Architecture: all
@@ -25,4 +25,4 @@
 Conflicts: puppetdb-terminus
 Description: Termini for puppetdb
  Contains terminus for:
-  puppetdb (version 4.3.0)
+  puppetdb (version 4.3.2)

## puppetdb 4.4.0

=== Makefile ===
--- 
+++ 
@@ -22,11 +22,14 @@
 	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetdb/cli/apps"
 	install -d -m 0755 "$(DESTDIR)$(bindir)"
 	install -m 0755 "ext/bin/puppetdb" "$(DESTDIR)$(bindir)/puppetdb"
+	install -m 0755 ext/cli/reload "$(DESTDIR)$(datadir)/puppetdb/cli/apps/reload"
 	install -m 0755 ext/cli/foreground "$(DESTDIR)$(datadir)/puppetdb/cli/apps/foreground"
+	install -m 0755 ext/cli/start "$(DESTDIR)$(datadir)/puppetdb/cli/apps/start"
 	install -m 0755 ext/cli/ssl-setup "$(DESTDIR)$(datadir)/puppetdb/cli/apps/ssl-setup"
 	install -m 0755 ext/cli/export "$(DESTDIR)$(datadir)/puppetdb/cli/apps/export"
 	install -m 0755 ext/cli/config-migration "$(DESTDIR)$(datadir)/puppetdb/cli/apps/config-migration"
 	install -m 0755 ext/cli/foreground "$(DESTDIR)$(datadir)/puppetdb/cli/apps/foreground"
+	install -m 0755 ext/cli/stop "$(DESTDIR)$(datadir)/puppetdb/cli/apps/stop"
 	install -m 0755 ext/cli/anonymize "$(DESTDIR)$(datadir)/puppetdb/cli/apps/anonymize"
 	install -m 0755 ext/cli/import "$(DESTDIR)$(datadir)/puppetdb/cli/apps/import"
 	install -d -m 0755 "$(DESTDIR)$(rundir)"

=== debian/changelog ===
puppetdb (4.4.0-1puppetlabs1) wheezy; urgency=low

  * Update to version 4.4.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Tue, 04 Apr 2017 16:46:54 -0700
